Skip to content

Create an identification document

Request

Add an identification document to a personal profile. Not applicable to business profiles.

For SSN submissions, only type and uniqueIdentifier (9 digits, no letters or symbols) are required.

Security
UserToken
Path
profileIdinteger, (int64)required

Profile ID.

Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. Learn more.

Example:f47ac10b-58cc-4372-a567-0e02b2c3d479
Bodyapplication/json
firstNamestring

Person first name in document.

Example:"Oliver"
lastNamestring

Person last name in document.

Example:"Wilson"
typestring

Document type.

Enum:"DRIVERS_LICENCE""IDENTITY_CARD""GREEN_CARD""MY_NUMBER""PASSPORT""SSN""EMIRATES_EMPLOYER""EMIRATES_PLACE_OF_BIRTH""CPF_CNPJ""FINANCIAL_CAPACITY_BR"
Example:"IDENTITY_CARD"
uniqueIdentifierstring, <= 30 characters

Document number or value. Must be digits only when SSN or FINANCIAL_CAPACITY_BR.

Example:"AA299822313"
issueDatestring

Document issue date.

Example:"2017-12-31"
issuerCountrystring

Issued by country code. For example "US".

Example:"EE"
issuerStatestring

Issued by state code. For example "NY".

Example:""
expiryDatestring

Document expiry date.

Example:"2027-12-31"
nationalitystring

2 characters ISO country code.

employerNamestring

The name of the employer. Type must be EMIRATES_EMPLOYER.

employerCitystring

The city of the employer. Type must be EMIRATES_EMPLOYER.

employerCountrystring

2 characters ISO country code. Type must be EMIRATES_EMPLOYER.

birthCitystring

The city of birth of the customer.

birthCountrystring

2 characters ISO country code.

curl -i -X POST \
  'https://api.wise.com/2026Q3/profiles/{profileId}/verification-documents' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'X-External-Correlation-Id: f47ac10b-58cc-4372-a567-0e02b2c3d479' \
  -d '{
    "firstName": "Oliver",
    "lastName": "Wilson",
    "type": "IDENTITY_CARD",
    "uniqueIdentifier": "AA299822313",
    "issueDate": "2017-12-31",
    "issuerCountry": "EE",
    "issuerState": "",
    "expiryDate": "2027-12-31"
  }'

Responses

Identification document created successfully.

Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Echoed back when X-External-Correlation-Id was included in the request. Learn more.

Example:"f47ac10b-58cc-4372-a567-0e02b2c3d479"
x-trace-idstring

Unique trace identifier assigned by Wise. Useful when contacting support about a specific request.

Example:"fba501b6d453b96789f52338f019341f"
Bodyapplication/json
errorMessagestring or null
Example:null
successboolean
Example:true
Response
{ "errorMessage": null, "success": true }